View Issue Details

IDProjectCategoryView StatusLast Update
0031606Marketplace ExtensionsGoogle Play ServicesPublic2020-03-25 16:41
ReporterScott DunbarAssigned ToFritz 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0031606: Google Play Services: Extension does not allow for accessing the username or id after automatic sign-in
DescriptionIssue
It appears that there is no way to retrieve the username or player id after being signed in automatically on startup
Steps To Reproduce1. Launch GPS demo on android via IDE run
2. tap sign-in button
3. once succesfully signed in observe name and id is shown
4. fully close and re-open application
5. observe that name/id is no longer being shown
6. tap sign in
7. observe that the output log shows error for being signed in already

Additional InformationThis was tested with the most recent version on GIT, pulled at 12pm on the 07/Feb/2020
TagsGMDKI, GMSKI
2.x Runtime Found In2.2.5.378
2.x Runtime Verified In

Activities

Fritz

2020-02-12 11:00

Manager   ~0065359

Extension needs updating from Master-blue changes haven't been merged across to Master yet

Dan

2020-03-04 11:51

Adminstrator   ~0065426

Fix will be in v3.2.0 of the asset.

Dan

2020-03-25 16:41

Adminstrator   ~0065527

Fixed in v3.2.0 of the MP asset, which will be published asap.